Summary:	Configure network interfaces for parallel routing
Summary(pl.UTF-8):	Konfiguracja interfejsów sieciowych dla równoległego routingu
Summary(pt_BR.UTF-8):	Configura interfaces de rede para roteamento paralelo
Name:		ifenslave
Version:	1.1.0
Release:	2
License:	GPL
Group:		Networking
Source0:	%{name}.c
Patch0:		%{name}-debian.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Attach and detach slave interfaces to a bonding device. This is a tool to
attach and detach slave network interfaces to a bonding device. A bonding
device will act like a normal Ethernet network device to the kernel, but
will send out the packets via the slave devices using a simple round-robin
scheduler. This allows for simple load-balancing, identical to "channel
bonding" or "trunking" techniques used in switches.

%description -l pl.UTF-8
ifenslave konfiguruje interfejsy sieciowe dla równoległego routingu.

%description -l pt_BR.UTF-8
ifenslave configura interfaces de rede para roteamento paralelo.

%prep
%setup -Tc -q
install %{SOURCE0} .
%patch0 -p1


%build
%{__cc} %{rpmcflags} -o %{name} %{name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install ifenslave.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/%{name}
%{_mandir}/man8/*.8*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ifenslave.git;a=log;h=master

* Tue Feb 05 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bfa05ce
- Fix build with -Werror=format-security

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> b94b90d
- unified %clean section

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f296081
- dropped pre-cvs changelog

* Thu Jul 02 2009 Paweł Gołaszewski <blues@pld-linux.org> 9411773
- rel.2 - added debian patch with manual

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 619a0dd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 183145a
- converted to UTF-8

* Fri Dec 23 2005 darekr <darekr@pld-linux.org> 9213d1b
- define _sbindir to /sbin (to use macro)

* Wed Sep 22 2004 adasi <adasi@pld-linux.org> ddaa0db
- arrrrrrrrgh

* Wed Sep 22 2004 adasi <adasi@pld-linux.org> 2623816
- NEW version (1.1.0)

* Wed Sep 22 2004 adasi <adasi@pld-linux.org> adde074
- New version from kernel sources
- Where is the closest software museum? For the old one?

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> 3cc4320
- release 5

* Wed May 05 2004 ankry <ankry@pld-linux.org> b2f8798
- no C files on distfiles

* Wed May 05 2004 undefine <undefine@pld-linux.org> 151000e
- release 4 for AC

* Wed May 05 2004 undefine <undefine@pld-linux.org> 286913b
- new version(mismatch md5 sum?), release 3

* Mon Dec 01 2003 undefine <undefine@pld-linux.org> b2c80f0
- release 2 to rebuild with ac

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e7d803a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a989927
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Apr 10 2003 Michal Moskal <michal@moskal.me> 46a1ebf
- added empty %prep section, so builder script can handle it

* Thu Oct 31 2002 Jakub Bogusz <qboosh@pld-linux.org> ff81cd0
- typo

* Wed Oct 30 2002 ankry <ankry@pld-linux.org> 6b74273
- 4963761aa0fbe7722e615823f2925398  ifenslave.c

